import { ThemeParams } from 'twa-theme-params';
/**
 * Hook which returns theme parameters from current window location. It is not
 * recommended to use this hook all over the application and prior should be
 * sent to useThemeParams, but when SDK is not loaded, there is no other way of
 * getting current theme parameters.
 */
export declare function useThemeFromLocation(): ThemeParams;
