import { ComponentType } from 'react';
import { BackButton } from 'twa-client-sdk';
/**
 * HOC which passes BackButton SDK component to wrapped React component.
 * @param Component - component to wrap.
 */
export declare function withBackButton<P extends {
    backButton?: BackButton;
}>(Component: ComponentType<P>): ComponentType<Omit<P, 'backButton'>>;
