import { ComponentType } from 'react';
import { Bridge } from 'twa-client-sdk';
/**
 * HOC which passes Bridge SDK component to wrapped React component.
 * @param Component - component to wrap.
 */
export declare function withBridge<P extends {
    bridge?: Bridge;
}>(Component: ComponentType<P>): ComponentType<Omit<P, 'bridge'>>;
