import { ComponentType } from 'react';
import { Popup } from 'twa-client-sdk';
/**
 * HOC which passes Popup SDK component to wrapped React component.
 * @param Component - component to wrap.
 */
export declare function withPopup<P extends {
    popup?: Popup;
}>(Component: ComponentType<P>): ComponentType<Omit<P, 'popup'>>;
